#
# spec file for package python-configshell-fb
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define modname configshell-fb
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-%{modname}
Version:        1.1.25
Release:        2.1
Summary:        A Python library for building configuration shells
License:        Apache-2.0
Group:          Development/Libraries/Python
Url:            http://github.com/open-iscsi/configshell-fb
Source:         https://pypi.python.org/packages/source/c/%{modname}/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module pyparsing}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       %{_bindir}/env
Requires:       python-pyparsing
Requires:       python-six
Requires:       python-urwid
Provides:       python-configshell = %{version}-%{release}
Obsoletes:      python-configshell < %{version}
BuildArch:      noarch
%python_subpackages

%description
configshell-fb is a Python library that provides a framework for building simple
but nice CLI-based applications.

configshell-fb is a fork of the "configshell" code written by RisingTide
Systems. The "-fb" differentiates between the original and this version. Please
ensure to use either all "fb" versions of the targetcli components -- targetcli,
rtslib, and configshell, or stick with all non-fb versions, since they are
no longer strictly compatible.

%package doc
Summary:        Documentation for Python configshell-fb
Group:          Documentation/HTML

%description doc
configshell-fb is a Python library that provides a framework for building simple
but nice CLI-based applications.

configshell-fb is a fork of the "configshell" code written by RisingTide
Systems. The "-fb" differentiates between the original and this version. Please
ensure to use either all "fb" versions of the targetcli components -- targetcli,
rtslib, and configshell, or stick with all non-fb versions, since they are
no longer strictly compatible.

%prep
%setup -q -n %{modname}-%{version}

%build
%python_build

%install
%python_install --skip-build
%fdupes %{buildroot}

%files %{python_files}
%{python_sitelib}/*
%doc README.md

%changelog
* Fri Mar  8 2019 mcepl@suse.com
- Using now new proper upstream release 1.1.25:
  - Fix failing to parse param like pool/rbd;id=user
  - Acquire a lock to a preference file before working with it
  - Fix failing to pasre param like "cfgstr,par=val"
  - Remove explicit dependency on /usr/bin/python
  - make run_cmdline() log "Running command line" msg to new loglevel
  - tweak ConfigShell.run_stdin() to strip whitespace/newline from cmds
  - Fix failing to pasre par=val parameters
  - Add missing dependency on pyparsing and six
  - Fix path regex for [ and ]
  - Handle if TERM is not set
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Fri Oct 19 2018 opensuse-packaging@opensuse.org
- Update to version 1.1.fb23:
  * version 1.1.25
  * Fix failing to parse param like pool/rbd;id=user
  * Acquire a lock to a preference file before working with it
  * Fix failing to pasre param like "cfgstr,par=val"
  * version 1.1.fb24
  * Remove explicit dependency on /usr/bin/python
  * make run_cmdline() log "Running command line" msg to new loglevel
  * tweak ConfigShell.run_stdin() to strip whitespace/newline from cmds
  * Fix failing to pasre par=val parameters
  * Add missing dependency on pyparsing and six
  * Fix path regex for [ and ]
  * Handle if TERM is not set
  Replacing configshell-fb-1.1.fb23.tar.xz with configshell-fb-1.1.fb25.tar.xz,
  and updating the SPEC file. Also, two patches subsumed/removed:
  * configshell-fb-example-should-not-specify-path.patch
  * configshell-fb-Handle-if-TERM-is-not-set.patch
* Sun Feb 25 2018 olaf@aepfle.de
- Fix upgrade path by provide/obsolete python-configshell (bsc#1082693)
* Wed Jan  3 2018 tchvatal@suse.com
- Do not build epydoc documentation to allow py3 only build
* Fri Dec  8 2017 lduncan@suse.com
- Converting RPM SPEC file to singlespec format (bsc#1045332),
  adding patch:
  * configshell-fb-example-should-not-specify-path.patch
- Fix targetcli.service problem when TERM not set (bsc#1071194),
  adding patch (from LSZhu):
  * configshell-fb-Handle-if-TERM-is-not-set.patch
- Moved build requirement on urwid to runtime requirement,
  as suggested by scarabeus_iv
- ran spec-cleaner to clean up SPEC file
- Converted from manually-added configshell-fb tar file to
  tar_scm service-generated file by adding _service and
  _servicedata
* Thu Aug 17 2017 lszhu@suse.com
- Update to version 1.1.23fb
  * improving ALUA and TCMU support
* Mon Feb 27 2017 shshyukriev@suse.com
- Update to v 1.1.22fb
  * Fixed github source namespace
* Sat Jun 25 2016 lduncan@suse.com
- Updated spec file: added Conflicts for python-configshell
  (bsc#986475)
* Fri Jun 24 2016 lduncan@suse.com
- Updated SPEC file: removed "Provides"/"Obsoletes" for
  package name "python-confishell" (bsc#984935)
* Fri May  6 2016 dmueller@suse.com
- cleanup buildroot parts
* Tue Apr 19 2016 lduncan@suse.com
- Initial creation of this package, from upstream
  version 1.1.fb20
